OpenCV: C API

| OpenCV 3.4.2 Open Source Computer Vision

Macros | Typedefs | Enumerations | Functions
C API
High-level GUI

## Macros
#define | CV_GET_WHEEL_DELTA(flags) ((short)((flags >> 16) & 0xffff))
#define | cvAddSearchPath(path)
#define | cvvAddSearchPath cvAddSearchPath
#define | cvvCreateTrackbar cvCreateTrackbar
#define | cvvDestroyWindow cvDestroyWindow
#define | cvvInitSystem cvInitSystem
#define | cvvNamedWindow cvNamedWindow
#define | cvvResizeWindow cvResizeWindow
#define | cvvShowImage cvShowImage
#define | cvvWaitKey(name) cvWaitKey(0)
#define | cvvWaitKeyEx(name, delay) cvWaitKey(delay)
#define | HG_AUTOSIZE CV_WINDOW_AUTOSIZE
#define | set_postprocess_func cvSetPostprocessFuncWin32
#define | set_preprocess_func cvSetPreprocessFuncWin32

## Typedefs
typedef void(* | CvButtonCallback) (int state, void *userdata)
typedef void(* | CvMouseCallback) (int event, int x, int y, int flags, void *param)
typedef void(* | CvOpenGlDrawCallback) (void *userdata)
typedef void(* | CvTrackbarCallback) (int pos)
typedef void(* | CvTrackbarCallback2) (int pos, void *userdata)

## Enumerations
enum | { CV_FONT_LIGHT = 25, CV_FONT_NORMAL = 50, CV_FONT_DEMIBOLD = 63, CV_FONT_BOLD = 75, CV_FONT_BLACK = 87 }
enum | { CV_STYLE_NORMAL = 0, CV_STYLE_ITALIC = 1, CV_STYLE_OBLIQUE = 2 }
enum | { CV_PUSH_BUTTON = 0, CV_CHECKBOX = 1, CV_RADIOBOX = 2 }
enum | { CV_WND_PROP_FULLSCREEN = 0, CV_WND_PROP_AUTOSIZE = 1, CV_WND_PROP_ASPECTRATIO = 2, CV_WND_PROP_OPENGL = 3, CV_WND_PROP_VISIBLE = 4, CV_WINDOW_NORMAL = 0x00000000, CV_WINDOW_AUTOSIZE = 0x00000001, CV_WINDOW_OPENGL = 0x00001000, CV_GUI_EXPANDED = 0x00000000, CV_GUI_NORMAL = 0x00000010, CV_WINDOW_FULLSCREEN = 1, CV_WINDOW_FREERATIO = 0x00000100, CV_WINDOW_KEEPRATIO = 0x00000000 }
enum | { CV_EVENT_MOUSEMOVE =0, CV_EVENT_LBUTTONDOWN =1, CV_EVENT_RBUTTONDOWN =2, CV_EVENT_MBUTTONDOWN =3, CV_EVENT_LBUTTONUP =4, CV_EVENT_RBUTTONUP =5, CV_EVENT_MBUTTONUP =6, CV_EVENT_LBUTTONDBLCLK =7, CV_EVENT_RBUTTONDBLCLK =8, CV_EVENT_MBUTTONDBLCLK =9, CV_EVENT_MOUSEWHEEL =10, CV_EVENT_MOUSEHWHEEL =11 }
enum | { CV_EVENT_FLAG_LBUTTON =1, CV_EVENT_FLAG_RBUTTON =2, CV_EVENT_FLAG_MBUTTON =4, CV_EVENT_FLAG_CTRLKEY =8, CV_EVENT_FLAG_SHIFTKEY =16, CV_EVENT_FLAG_ALTKEY =32 }

## Functions
void | cvAddText (const CvArr *img, const char *text, CvPoint org, CvFont *arg2)
int | cvCreateButton (const char *button_name=NULL, CvButtonCallback on_change=NULL, void *userdata=NULL, int button_type=CV_PUSH_BUTTON, int initial_button_state=0)
int | cvCreateTrackbar (const char *trackbar_name, const char *window_name, int *value, int count, CvTrackbarCallback on_change=NULL)
int | cvCreateTrackbar2 (const char *trackbar_name, const char *window_name, int *value, int count, CvTrackbarCallback2 on_change, void *userdata=0)
void | cvDestroyAllWindows (void)
void | cvDestroyWindow (const char *name)
void | cvDisplayOverlay (const char *name, const char *text, int delayms=0)
void | cvDisplayStatusBar (const char *name, const char *text, int delayms=0)
CvFont | cvFontQt (const char *nameFont, int pointSize=-1, CvScalar color=cvScalarAll(0), int weight=CV_FONT_NORMAL, int style=CV_STYLE_NORMAL, int spacing=0)
int | cvGetTrackbarPos (const char *trackbar_name, const char *window_name)
void * | cvGetWindowHandle (const char *name)
cv::Rect | cvGetWindowImageRect (const char *name)
const char * | cvGetWindowName (void *window_handle)
double | cvGetWindowProperty (const char *name, int prop_id)
int | cvInitSystem (int argc, char **argv)
void | cvLoadWindowParameters (const char *name)
void | cvMoveWindow (const char *name, int x, int y)
int | cvNamedWindow (const char *name, int flags=CV_WINDOW_AUTOSIZE)
void | cvResizeWindow (const char *name, int width, int height)
void | cvSaveWindowParameters (const char *name)
void | cvSetMouseCallback (const char *window_name, CvMouseCallback on_mouse, void *param=NULL)
void | cvSetOpenGlContext (const char *window_name)
void | cvSetOpenGlDrawCallback (const char *window_name, CvOpenGlDrawCallback callback, void *userdata=NULL)
void | cvSetTrackbarMax (const char *trackbar_name, const char *window_name, int maxval)
void | cvSetTrackbarMin (const char *trackbar_name, const char *window_name, int minval)
void | cvSetTrackbarPos (const char *trackbar_name, const char *window_name, int pos)
void | cvSetWindowProperty (const char *name, int prop_id, double prop_value)
void | cvShowImage (const char *name, const CvArr *image)
int | cvStartLoop (int(*pt2Func)(int argc, char *argv[]), int argc, char *argv[])
int | cvStartWindowThread (void)
void | cvStopLoop (void)
void | cvUpdateWindow (const char *window_name)
int | cvWaitKey (int delay=0)

## Detailed Description

## Macro Definition Documentation

## ◆ CV_GET_WHEEL_DELTA

#define CV_GET_WHEEL_DELTA | ( |  | flags | ) | ((short)((flags >> 16) & 0xffff))

## ◆ cvAddSearchPath

#define cvAddSearchPath | ( |  | path | ) |

## ◆ cvvAddSearchPath

#define cvvAddSearchPath cvAddSearchPath

## ◆ cvvCreateTrackbar

#define cvvCreateTrackbar cvCreateTrackbar

## ◆ cvvDestroyWindow

#define cvvDestroyWindow cvDestroyWindow

## ◆ cvvInitSystem

#define cvvInitSystem cvInitSystem

## ◆ cvvNamedWindow

#define cvvNamedWindow cvNamedWindow

## ◆ cvvResizeWindow

#define cvvResizeWindow cvResizeWindow

## ◆ cvvShowImage

#define cvvShowImage cvShowImage

## ◆ cvvWaitKey

#define cvvWaitKey | ( |  | name | ) | cvWaitKey(0)

## ◆ cvvWaitKeyEx

#define cvvWaitKeyEx | ( |  | name,
|  |  | delay
| ) |  | cvWaitKey(delay)

## ◆ HG_AUTOSIZE

#define HG_AUTOSIZE CV_WINDOW_AUTOSIZE

## ◆ set_postprocess_func

#define set_postprocess_func cvSetPostprocessFuncWin32

## ◆ set_preprocess_func

#define set_preprocess_func cvSetPreprocessFuncWin32

## Typedef Documentation

## ◆ CvButtonCallback

typedef void( * CvButtonCallback) (int state, void *userdata)

## ◆ CvMouseCallback

typedef void( * CvMouseCallback) (int event, int x, int y, int flags, void *param)

## ◆ CvOpenGlDrawCallback

typedef void( * CvOpenGlDrawCallback) (void *userdata)

## ◆ CvTrackbarCallback

typedef void( * CvTrackbarCallback) (int pos)

## ◆ CvTrackbarCallback2

typedef void( * CvTrackbarCallback2) (int pos, void *userdata)

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
CV_FONT_LIGHT |
CV_FONT_NORMAL |
CV_FONT_DEMIBOLD |
CV_FONT_BOLD |
CV_FONT_BLACK |

## ◆ anonymous enum

anonymous enum

Enumerator
CV_STYLE_NORMAL |
CV_STYLE_ITALIC |
CV_STYLE_OBLIQUE |

## ◆ anonymous enum

anonymous enum

Enumerator
CV_PUSH_BUTTON |
CV_CHECKBOX |
CV_RADIOBOX |

## ◆ anonymous enum

anonymous enum

Enumerator
CV_WND_PROP_FULLSCREEN |
CV_WND_PROP_AUTOSIZE |
CV_WND_PROP_ASPECTRATIO |
CV_WND_PROP_OPENGL |
CV_WND_PROP_VISIBLE |
CV_WINDOW_NORMAL |
CV_WINDOW_AUTOSIZE |
CV_WINDOW_OPENGL |
CV_GUI_EXPANDED |
CV_GUI_NORMAL |
CV_WINDOW_FULLSCREEN |
CV_WINDOW_FREERATIO |
CV_WINDOW_KEEPRATIO |

## ◆ anonymous enum

anonymous enum

Enumerator
CV_EVENT_MOUSEMOVE |
CV_EVENT_LBUTTONDOWN |
CV_EVENT_RBUTTONDOWN |
CV_EVENT_MBUTTONDOWN |
CV_EVENT_LBUTTONUP |
CV_EVENT_RBUTTONUP |
CV_EVENT_MBUTTONUP |
CV_EVENT_LBUTTONDBLCLK |
CV_EVENT_RBUTTONDBLCLK |
CV_EVENT_MBUTTONDBLCLK |
CV_EVENT_MOUSEWHEEL |
CV_EVENT_MOUSEHWHEEL |

## ◆ anonymous enum

anonymous enum

Enumerator
CV_EVENT_FLAG_LBUTTON |
CV_EVENT_FLAG_RBUTTON |
CV_EVENT_FLAG_MBUTTON |
CV_EVENT_FLAG_CTRLKEY |
CV_EVENT_FLAG_SHIFTKEY |
CV_EVENT_FLAG_ALTKEY |

## Function Documentation

## ◆ cvAddText()

void cvAddText | ( | const CvArr * | img,
|  | const char * | text,
|  | CvPoint | org,
|  | CvFont * | arg2
| ) |  |

## ◆ cvCreateButton()

int cvCreateButton | ( | const char * | button_name = `NULL`,
|  | CvButtonCallback | on_change = `NULL`,
|  | void * | userdata = `NULL`,
|  | int | button_type = `CV_PUSH_BUTTON`,
|  | int | initial_button_state = `0`
| ) |  |

## ◆ cvCreateTrackbar()

int cvCreateTrackbar | ( | const char * | trackbar_name,
|  | const char * | window_name,
|  | int * | value,
|  | int | count,
|  | CvTrackbarCallback | on_change = `NULL`
| ) |  |

## ◆ cvCreateTrackbar2()

int cvCreateTrackbar2 | ( | const char * | trackbar_name,
|  | const char * | window_name,
|  | int * | value,
|  | int | count,
|  | CvTrackbarCallback2 | on_change,
|  | void * | userdata = `0`
| ) |  |

## ◆ cvDestroyAllWindows()

void cvDestroyAllWindows | ( | void |  | ) |

## ◆ cvDestroyWindow()

void cvDestroyWindow | ( | const char * | name | ) |

## ◆ cvDisplayOverlay()

void cvDisplayOverlay | ( | const char * | name,
|  | const char * | text,
|  | int | delayms = `0`
| ) |  |

## ◆ cvDisplayStatusBar()

void cvDisplayStatusBar | ( | const char * | name,
|  | const char * | text,
|  | int | delayms = `0`
| ) |  |

## ◆ cvFontQt()

CvFont cvFontQt | ( | const char * | nameFont,
|  | int | pointSize = `-1`,
|  | CvScalar | color = `cvScalarAll(0)`,
|  | int | weight = `CV_FONT_NORMAL`,
|  | int | style = `CV_STYLE_NORMAL`,
|  | int | spacing = `0`
| ) |  |

## ◆ cvGetTrackbarPos()

int cvGetTrackbarPos | ( | const char * | trackbar_name,
|  | const char * | window_name
| ) |  |

## ◆ cvGetWindowHandle()

void* cvGetWindowHandle | ( | const char * | name | ) |

## ◆ cvGetWindowImageRect()

cv::Rect cvGetWindowImageRect | ( | const char * | name | ) |

## ◆ cvGetWindowName()

const char* cvGetWindowName | ( | void * | window_handle | ) |

## ◆ cvGetWindowProperty()

double cvGetWindowProperty | ( | const char * | name,
|  | int | prop_id
| ) |  |

## ◆ cvInitSystem()

int cvInitSystem | ( | int | argc,
|  | char ** | argv
| ) |  |

## ◆ cvLoadWindowParameters()

void cvLoadWindowParameters | ( | const char * | name | ) |

## ◆ cvMoveWindow()

void cvMoveWindow | ( | const char * | name,
|  | int | x,
|  | int | y
| ) |  |

## ◆ cvNamedWindow()

int cvNamedWindow | ( | const char * | name,
|  | int | flags = `CV_WINDOW_AUTOSIZE`
| ) |  |

## ◆ cvResizeWindow()

void cvResizeWindow | ( | const char * | name,
|  | int | width,
|  | int | height
| ) |  |

## ◆ cvSaveWindowParameters()

void cvSaveWindowParameters | ( | const char * | name | ) |

## ◆ cvSetMouseCallback()

void cvSetMouseCallback | ( | const char * | window_name,
|  | CvMouseCallback | on_mouse,
|  | void * | param = `NULL`
| ) |  |

## ◆ cvSetOpenGlContext()

void cvSetOpenGlContext | ( | const char * | window_name | ) |

## ◆ cvSetOpenGlDrawCallback()

void cvSetOpenGlDrawCallback | ( | const char * | window_name,
|  | CvOpenGlDrawCallback | callback,
|  | void * | userdata = `NULL`
| ) |  |

## ◆ cvSetTrackbarMax()

void cvSetTrackbarMax | ( | const char * | trackbar_name,
|  | const char * | window_name,
|  | int | maxval
| ) |  |

## ◆ cvSetTrackbarMin()

void cvSetTrackbarMin | ( | const char * | trackbar_name,
|  | const char * | window_name,
|  | int | minval
| ) |  |

## ◆ cvSetTrackbarPos()

void cvSetTrackbarPos | ( | const char * | trackbar_name,
|  | const char * | window_name,
|  | int | pos
| ) |  |

## ◆ cvSetWindowProperty()

void cvSetWindowProperty | ( | const char * | name,
|  | int | prop_id,
|  | double | prop_value
| ) |  |

## ◆ cvShowImage()

void cvShowImage | ( | const char * | name,
|  | const CvArr * | image
| ) |  |

## ◆ cvStartLoop()

int cvStartLoop | ( | int(*)(int argc, char *argv[]) | pt2Func,
|  | int | argc,
|  | char * | argv[]
| ) |  |

## ◆ cvStartWindowThread()

int cvStartWindowThread | ( | void |  | ) |

## ◆ cvStopLoop()

void cvStopLoop | ( | void |  | ) |

## ◆ cvUpdateWindow()

void cvUpdateWindow | ( | const char * | window_name | ) |

## ◆ cvWaitKey()

int cvWaitKey | ( | int | delay = `0` | ) |